Skip to main content
GET
/
api
/
calls
/
{callId}
Get a call
curl --request GET \
  --url https://api.recepta.ai/api/v1/api/calls/{callId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.recepta.ai/api/v1/api/calls/{callId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.recepta.ai/api/v1/api/calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "data": {
    "call": {
      "id": "69af1467f97caa0d0e1e13e2",
      "retellId": "call_abc123",
      "callType": "PHONE_CALL",
      "direction": "INBOUND",
      "fromNumber": "+19032466065",
      "toNumber": "+19034851458",
      "status": "ENDED",
      "startTimestamp": "2026-03-09T18:41:43.188Z",
      "endTimestamp": "2026-03-09T18:41:49.664Z",
      "durationMs": 6476,
      "companyId": "69053acd6e4cdf19cb778090",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}
{
"success": false,
"message": "Error description"
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Path Parameters

callId
string
required

Call ID

Response

Call retrieved

success
boolean
Example:

true

message
string
data
object